%define git_date 20130615

#git git://github.com/NiceandGently/mate-mplayer.git

%define name	mate-mplayer
%define version	1.0.8
%define release	%mkrel 2

Summary:	Fork of gnome-mplayer
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
URL:            https://github.com/NiceandGently/mate-mplayer	
Source0:	https://github.com/NiceandGently/mate-mplayer/%{name}-%{version}.tar.xz
Group:		Graphical desktop/Mate
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  pkgconfig
BuildRequires:  mate-common
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:  gettext
BuildRequires:  mate-file-manager-devel
BuildRequires:	desktop-file-utils
BuildRequires:  %{_lib}xscrnsaver-devel
BuildRequires:  %{_lib}gmtk-devel
BuildRequires:  %{_lib}pulseaudio-devel
BuildRequires:  %{_lib}gpod-devel
BuildRequires:	%{_lib}notify-devel
BuildRequires:	%{_lib}alsa2-devel
BuildRequires:	%{_lib}dbus-1-devel
BuildRequires:	%{_lib}dbus-glib-1_2-devel
BuildRequires:  %{_lib}curl-devel
BuildRequires:  %{_lib}musicbrainz3-devel
Requires: mate-control-center
Requires: hicolor-icon-theme
Requires: mplayer
Requires: alsa
Requires: gtk+3.0
Requires: mencoder


%description
MATE MPlayer is a simple GUI for MPlayer. It is intended to be a
nice tight player and provide a simple and clean interface to
MPlayer. MATE MPlayer has a rich API that is exposed via DBus.
Using DBus you can control a single or multiple instances of MATE
MPlayer from a single command.


%prep
%setup -q -n %{name}-%{git_date}


%build
%configure2_5x \
 --with-libnotify \
 --enable-gtk3 \
 --enable-caja \
 --with-dbus \
 --with-alsa \
 --with-pulseaudio \
 --with-libgpod \
 --with-libmusicbrainz3 \
 --with-gio \
 --disable-schemas-compile

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
	--add-category="X-MandrivaLinux-Multimedia-Video" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#menu icon
mkdir -p $RPM_BUILD_ROOT%_datadir/pixmaps
install -m 644 icons/48x48/%{name}.png $RPM_BUILD_ROOT%_datadir/pixmaps

mkdir -p $RPM_BUILD_ROOT%{_libdir}/caja/extensions-3.0/
cp $RPM_BUILD_ROOT%{_libdir}/caja/extensions-2.0/* \
$RPM_BUILD_ROOT%{_libdir}/caja/extensions-3.0/

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
glib-compile-schemas %{_datadir}/glib-2.0/schemas


%postun
%{clean_menus}
glib-compile-schemas %{_datadir}/glib-2.0/schemas


%files -f %{name}.lang
%defattr(-,root,root)
%{_docdir}/%{name}
%_bindir/%{name}
%{_libdir}/caja/extensions-3.0/libmate-mplayer-properties-page.so
%{_libdir}/caja/extensions-2.0/libmate-mplayer-properties-page.so
%_datadir/glib-2.0/schemas/*.xml
%_datadir/mate-control-center/default-apps/mate-mplayer.xml
%_datadir/applications/%{name}.desktop
%_datadir/pixmaps/%{name}.png
%_datadir/icons/hicolor/*/apps/*
%_mandir/man1/%{name}.1.bz2

%changelog
* Sun May 14 2017 adrianomorselli <adrianomorselli> 1.0.8-2uplos2017
- rebuild new gcrypt
